import React, { useState } from 'react';
import ReactDOM from 'react-dom';

import { DropDown } from './DropDown';

const options = [
  { value: 'dog', label: 'Dog' },
  { value: 'cat', label: 'Cat' },
  { value: 'hamster', label: 'Hamster' },
  { value: 'parrot', label: 'Parrot' },
  { value: 'spider', label: 'Spider' },
  { value: 'goldfish', label: 'Goldfish' }
];

const initialValue = 'hamster';

const App = () => {
  const [selectedValue, setSelectedValue] = useState(initialValue);
  
  console.log(selectedValue);
  
  return (
    <div>
  <label for="pet-select">Choose a pet:</label>
    <DropDown 
      selectedValue={selectedValue}
      options={options} 
      id='pet-select' 
      onSelectedValueChange={setSelectedValue} />
  </div>
    );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
